var username = process.env.MONGO_ORG_TRAFFIC_DB_USER;
var password = process.env.MONGO_ORG_TRAFFIC_DB_PASSWORD;
var dbHost = process.env.MONGO_ORG_TRAFFIC_DB_HOST;
var dbName = process.env.MONGO_ORG_TRAFFIC_DB_NAME;
var admin = process.env.MONGO_ORG_TRAFFIC_ADMIN_USER;
var adminPass = process.env.MONGO_ORG_TRAFFIC_ADMIN_PASSWORD

var collectionOrgTraffic = "orgTraffic"
var collectionNtaTraffic = "ntaTraffic"
printjson("start migration");
var url = parse("mongodb+srv://%s:%s@%s/admin?replicaSet=rs0&ssl=false", admin,adminPass,dbHost);
db = connect(url);

db = db.getSiblingDB(dbName);

if (db.getUser(username) == null) {
    db.createUser(

        { user: username, pwd: password, roles: [ { role: "dbOwner", db: dbName }	]});
}

try {
    db.createCollection(
        collectionOrgTraffic,
        {
            timeseries:
                {timeField: "timestamp", metaField: "org_key", granularity: "minutes"}
            ,
            expireAfterSeconds: 604800
        });
} catch (e) {
    printjson("Collection orgTraffic already exists");
}
db.orgTraffic.createIndex({ "org_key": 1, "timestamp": 1 });

try {
    db.createCollection(
        collectionNtaTraffic,
        {
            timeseries:
                {timeField: "timestamp", metaField: "subnet_id", granularity: "minutes"}
            ,
            expireAfterSeconds: 604800
        });
} catch (e) {
    printjson("Collection ntaTraffic already exists");
}
db.ntaTraffic.createIndex({ "subnet_id": 1, "timestamp": 1 });

printjson("completed migration.");
function parse(str) {
    var args = [].slice.call(arguments, 1),
        i = 0;

    return str.replace(/%s/g, () => args[i++]);
}
