#!/usr/bin/env bash

# Script to update docbuilder's hpa, used for the scheduled scaling (runs as a CronJob)

set -euv

# configure kubectl
export HOME=/tmp/home
mkdir -p "${HOME}/.kube"
k8s_sa_dir=/var/run/secrets/kubernetes.io/serviceaccount

kubectl config set-cluster default --server="https://${KUBERNETES_SERVICE_HOST}:${KUBERNETES_SERVICE_PORT}" --certificate-authority="${k8s_sa_dir}/ca.crt"
kubectl config set-context default --cluster=default
kubectl config set-credentials default --token="$(cat ${k8s_sa_dir}/token)"
kubectl config set-context default --user=default
kubectl config use-context default

# update hpa
kubectl -n "${APPS_NAMESPACE}" patch hpa "${DEPLOYMENT_NAME}" --patch '{"spec":{"minReplicas":'"${MIN_REPLICAS}"'}}'
echo "Updated ${DEPLOYMENT_NAME} hpa by setting minReplicas to ${MIN_REPLICAS}."
